language: cn
model_unique_abbr: buffer_network
version: 1.0
identification:
  docker_image_name: buffer_network:1.0
  model_name: 道路网络缓冲区构建算法
  semantic: Algorithm for constructing buffer zones in road networks
  description: 构建道路网路的缓冲区，找出给定路径一定路网距离内的所有路径
  category_application: 处方型
  category_data:
  - 矢量线数据
  keywords:
  - 路网距离
  - 缓冲区
parameter_info:
  parameters:
  - arg_name: input
    is_single_en_dash: false
    param_type: input_data
    name: 道路网络数据
    description: 城市道路网络数据，数据中需包含所有路网边的起点和终点信息，csv
    data_type: csv
    data_semantic: network_data

  - arg_name: originId
    is_single_en_dash: false
    param_type: param
    name: 路网LinkID
    description: The ID of any path in the network
    data_type: int
    data_semantic: originId
    specification:
      default: 18
      range:
        - "(0,)"

  - arg_name: radius
    is_single_en_dash: false
    param_type: param
    name: 路网距离
    description: 构建缓冲区的大小
    data_type: float
    data_semantic: The size of the constructed buffer
    specification:
      default: 200
      range:
        - "(0,)"
        
  - arg_name: output
    is_single_en_dash: false
    param_type: output_data
    name: 结果数据
    description: 输出结果的csv文件，包含缓冲区内的LinkID
    data_type: csv
    data_semantic: result data

application:
  domain: 网络缓冲区构建算法
  objective: 给定一定的路网距离，为选定的路径构建缓冲区
  dimension:
  - 二维
  mechanism: 选中任意一条路径，使用最短路径算法搜索其给定路网距离内的所有路径
operation:
  usage: 该算法需要三个参数，道路网络矢量数据(pFileInput)，路径ID(originId)，路网距离(radius)。
  exec_example:
  - docker run -v $(pwd):/data buffer:1.0 --input /data/network.csv --originId 18 --radius 200 --output /data/output.csv
  output_display:
  - 缓冲区内的所有路径ID
technique:
  language:
  - Python
  os:
  - Linux
  - Windows
  dependencies:
  - name: argparse4j
    version: 0.9.0
source:
  maintainer: Zhangyu && Zhongyuxiang
  organization: Wuhan University
  contact: 9027575@qq.com
  references:
  - "Yuan, H., Chen, B.Y., Li, Q.Q., Shaw, S.-L. and Lam, W.H.K., 2018, Toward space-time buffering for spatiotemporal proximity analysis of movement data. International Journal of Geographical Information Science, 32, pp. 1211-1246."
